## org.eclipse.wst.common.environment.uri
Interface IURIVisitor

    public interface IURIVisitor

This interface is implemented by classes that visit URIs. Refer to `IURI.visit(org.eclipse.wst.common.environment.uri.IURIVisitor)`.

Since:
  1.0

Method Summary
`boolean` `visit(IURI uri)` Visits the given IURI.

Method Detail

### visit

    boolean visit(IURI uri)
                  throws URIException

  Visits the given IURI.

  Parameters:
    `uri` - The resource to visit.
  Returns:
    True if the resource's descendants should be visited, or false if they should not be visited.
  Throws:
    `URIException` - If the visit method fails.